<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  

 
 

  <script>
  

    let users = [{id:1,name:'leonardo'},{id:2,name:'luis'},{id:3,name:'pedro' }]

    function add(data){
      let ids = users.map(u=>u.id)
      let maximo = Math.max(...ids)
      const newUSer ={
        id:maximo +1,
        name:data
      }
      users = [...users, newUSer]
     console.log(users)
    }

    add('andres')

  </script>
</body>
</html>